<?php
require_once ("../../config/Cado.php");
require_once ("cDocumento.php");
$oDocumento = new cDocumento();
require_once("../formatos/formato.php");
//echo moneda_mysql($_POST['doc']).' - '.$_POST['tot'];
?>
	
	
<?php
	$dts1 = $oDocumento->filtrar($_POST['mod_id']);
	$num_rows = mysqli_num_rows($dts1);
		?>
		<option value="">---Seleccionar---</option>
		<?php 
	while($dt1 = mysqli_fetch_array($dts1)) {
	
	if($_POST['doc']=='00000000'){
		$_POST['doc_id'] = 25;
		if($dt1['tb_documento_abr'] =='T' || $dt1['tb_documento_abr'] =='B' ){
			/// SOLO BOLETAS Y TICKETS CUANDO ES 00000000
			?>
		<option value="<?php echo $dt1['tb_documento_id']?>"<?php if($dt1['tb_documento_id']==$_POST['doc_id']){echo 'selected';}?>><?php echo $dt1['tb_documento_nom'];?></option>
		<?php 
		}
		
		}else{
			$can = strlen($_POST['doc']);
			
			if($can==11){
				/// CUANDO ES RUC, Y ES MAYOR A 700, TICKET, BOLETA O FACTURA			
		$_POST['doc_id'] = 5;
			if(moneda_mysql($_POST['tot'])>700){
					?>				
		<option value="<?php echo $dt1['tb_documento_id']?>"<?php if($dt1['tb_documento_id']==$_POST['doc_id']){echo 'selected';}?>><?php echo $dt1['tb_documento_nom'];?></option>					
					<?php				
			}else{
				/// CUANDO ES RUC PERO, SOLO SE LE PUEDE DAR TICKET O FACTURA
				if($dt1['tb_documento_abr'] =='T'||$dt1['tb_documento_abr'] =='B' || $dt1['tb_documento_abr'] =='F'){
					?>
		<option value="<?php echo $dt1['tb_documento_id']?>"<?php if($dt1['tb_documento_id']==$_POST['doc_id']){echo 'selected';}?>><?php echo $dt1['tb_documento_nom'];?></option>					
					<?php
				}
			} 
			
			}else if($can==8){
				
				$_POST['doc_id'] = 4;
				if($dt1['tb_documento_abr'] =='T'|| $dt1['tb_documento_abr'] =='B'){
					?>					
		<option value="<?php echo $dt1['tb_documento_id']?>"<?php if($dt1['tb_documento_id']==$_POST['doc_id']){echo 'selected';}?>><?php echo $dt1['tb_documento_nom'];?></option>
					<?php
				}
			}else{
					?>
		<option value="<?php echo $dt1['tb_documento_id']?>"<?php if($dt1['tb_documento_id']==$_POST['doc_id']){echo 'selected';}?>><?php echo $dt1['tb_documento_nom'];?></option>					
				<?php 
			}
		}
		
		
	
	
	
	}
	mysqli_free_result($dts1);
	
	
	
	
				if($_POST['vista']=='egreso')
				{
					$dt1['tb_documento_id'] = 22;
					$dt1['tb_documento_nom']  = 'LETRA';
				?>
				<option value="<?php echo $dt1['tb_documento_id']?>"<?php if($dt1['tb_documento_id']==$_POST['doc_id']){echo 'selected';}?>><?php echo $dt1['tb_documento_nom'];?></option>
				<?php 
				}
				?>
	